<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>IRIS FailSafe&#8482; Version 2 Administrator'sGuide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5364525">
<title>New Features in This Guide</title>
</preface>
<preface href="pr02.html" id="id5178992">
<title>About This Guide</title>
<section href="pr02.html#id5179010" id="id5179010">
<title>Audience</title>
</section>
<section href="pr02.html#id5179052" id="id5179052">
<title>Assumptions</title>
</section>
<section href="pr02.html#id5179089" id="id5179089">
<title>Structure of This Guide</title>
</section>
<section href="pr02.html#id5179289" id="id5179289">
<title>Related Documentation</title>
</section>
<section href="pr02.html#id5178492" id="id5178492">
<title>Conventions</title>
</section>
<section href="pr02.html#Z825546061melby" id="Z825546061melby">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="LE73529-PARENT">
<title>Chapter 1. Overview</title>
<section href="ch01.html#LE27299-PARENT" id="LE27299-PARENT">
<title>High Availability and IRIS FailSafe</title>
</section>
<section href="ch01.html#LE89728-PARENT" id="LE89728-PARENT">
<title>Cluster Environment</title>
<section href="ch01.html#Z983483639lhj" id="Z983483639lhj">
<title>Terminology</title>
<section href="ch01.html#id5187549" id="id5187549">
<title>Node</title>
</section>
<section href="ch01.html#id5187586" id="id5187586">
<title>Cluster Database</title>
</section>
<section href="ch01.html#id5187616" id="id5187616">
<title>Pool</title>
</section>
<section href="ch01.html#id5187678" id="id5187678">
<title>Cluster</title>
<figure href="ch01.html#Z986911891lhj" id="Z986911891lhj">
<title>Figure 1-1. Pool and Cluster Concepts  </title>
</figure>
</section>
<section href="ch01.html#id5187744" id="id5187744">
<title>Membership</title>
</section>
<section href="ch01.html#id5187953" id="id5187953">
<title>Quorum</title>
<figure href="ch01.html#Z995919746lhj" id="Z995919746lhj">
<title>Figure 1-2. FailSafe Membership</title>
</figure>
<figure href="ch01.html#Z995919622lhj" id="Z995919622lhj">
<title>Figure 1-3. Tie-breaker and Membership</title>
</figure>
</section>
<section href="ch01.html#Z965944874lhj" id="Z965944874lhj">
<title>Private Network</title>
</section>
<section href="ch01.html#id5188364" id="id5188364">
<title>Resource</title>
</section>
<section href="ch01.html#id5188401" id="id5188401">
<title>Resource Type</title>
</section>
<section href="ch01.html#id5188456" id="id5188456">
<title>Resource Name</title>
</section>
<section href="ch01.html#id5188501" id="id5188501">
<title>Resource Group</title>
<table href="ch01.html#id5188576" id="id5188576">
<title>Table 1-1. Example Webgroup Resource Group</title>
</table>
</section>
<section href="ch01.html#id5188771" id="id5188771">
<title>Dependency</title>
<figure href="ch01.html#Z994347082lhj" id="Z994347082lhj">
<title>Figure 1-4. Resource Type Dependencies</title>
</figure>
</section>
<section href="ch01.html#id5188905" id="id5188905">
<title>Failover</title>
</section>
<section href="ch01.html#id5188981" id="id5188981">
<title>Failover Policy</title>
</section>
<section href="ch01.html#id5189039" id="id5189039">
<title>Failover Domain</title>
</section>
<section href="ch01.html#id5189120" id="id5189120">
<title>Failover Attribute</title>
</section>
<section href="ch01.html#id5189189" id="id5189189">
<title>Failover Scripts</title>
</section>
<section href="ch01.html#Z1000926080lhj" id="Z1000926080lhj">
<title>Action Scripts</title>
</section>
<section href="ch01.html#id5189522" id="id5189522">
<title>Cluster Process Group </title>
</section>
<section href="ch01.html#id5189596" id="id5189596">
<title>Plug-In</title>
</section>
</section>
<section href="ch01.html#LE32900-PARENT" id="LE32900-PARENT">
<title>Hardware Components</title>
<figure href="ch01.html#id5189687" id="id5189687">
<title>Figure 1-5. Sample System Components</title>
</figure>
</section>
<section href="ch01.html#LE45765-PARENT" id="LE45765-PARENT">
<title>Disk Connections</title>
</section>
<section href="ch01.html#LE79484-PARENT" id="LE79484-PARENT">
<title>Supported Configurations</title>
<figure href="ch01.html#Z994961816lhj" id="Z994961816lhj">
<title>Figure 1-6. Configuration Types</title>
</figure>
<figure href="ch01.html#Z994961947lhj" id="Z994961947lhj">
<title>Figure 1-7. Reset Types</title>
</figure>
</section>
</section>
<section href="ch01.html#LE94860-PARENT" id="LE94860-PARENT">
<title>Additional Features</title>
<section href="ch01.html#id5190845" id="id5190845">
<title>Dynamic Management</title>
</section>
<section href="ch01.html#id5190929" id="id5190929">
<title>Fine-Grain Failover</title>
</section>
<section href="ch01.html#id5190978" id="id5190978">
<title>Local Restarts</title>
</section>
</section>
<section href="ch01.html#LE20463-PARENT" id="LE20463-PARENT">
<title>Administration</title>
</section>
<section href="ch01.html#LE85141-PARENT" id="LE85141-PARENT">
<title>Highly Available Resources</title>
<section href="ch01.html#id5191171" id="id5191171">
<title>Nodes</title>
</section>
<section href="ch01.html#LE80214-PARENT" id="LE80214-PARENT">
<title>Network Interfaces and IP Addresses</title>
</section>
<section href="ch01.html#id5191474" id="id5191474">
<title>Disks</title>
<figure href="ch01.html#id5191601" id="id5191601">
<title>Figure 1-8. Disk Storage Failover on a Two-Node System</title>
</figure>
</section>
</section>
<section href="ch01.html#LE19101-PARENT" id="LE19101-PARENT">
<title>Highly Available Applications</title>
</section>
<section href="ch01.html#LE19267-PARENT" id="LE19267-PARENT">
<title>Failover and Recovery Processes</title>
</section>
<section href="ch01.html#LE24477-PARENT" id="LE24477-PARENT">
<title>Overview of Configuring and Testing a New Cluster</title>
</section>
<section href="ch01.html#Z963001263steven" id="Z963001263steven">
<title>Software Overview</title>
<section href="ch01.html#Z994369319lhj" id="Z994369319lhj">
<title>Layers</title>
<table href="ch01.html#id5192199" id="id5192199">
<title>Table 1-2. Provided and Optional Plug-Ins</title>
</table>
<figure href="ch01.html#Z962916259steven" id="Z962916259steven">
<title>Figure 1-9. Software Layers</title>
</figure>
<table href="ch01.html#Z1001953299lhj" id="Z1001953299lhj">
<title>Table 1-3. Contents of /usr/cluster/bin </title>
</table>
</section>
<section href="ch01.html#Z963611861steven" id="Z963611861steven">
<title>Interface Agent Daemon (IFD)</title>
</section>
<section href="ch01.html#Z983486897lhj" id="Z983486897lhj">
<title>Communication Paths</title>
<figure href="ch01.html#Z966976641lhj" id="Z966976641lhj">
<title>Figure 1-10. Administrative Communication within One Node </title>
</figure>
<figure href="ch01.html#Z991152225lhj" id="Z991152225lhj">
<title>Figure 1-11. Daemon Communication within One Node </title>
</figure>
<figure href="ch01.html#Z987693368lhj" id="Z987693368lhj">
<title>Figure 1-12. Communication between Nodes in the Pool </title>
</figure>
<figure href="ch01.html#Z994112187lhj" id="Z994112187lhj">
<title>Figure 1-13. Communication for a Node Not in the Cluster</title>
</figure>
</section>
<section href="ch01.html#Z962992132steven" id="Z962992132steven">
<title>Execution of FailSafe Action and Failover Scripts</title>
<figure href="ch01.html#Z962917248steven" id="Z962917248steven">
<title>Figure 1-14. Message Paths for Action Scripts and Failover Policy Scripts</title>
</figure>
</section>
<section href="ch01.html#id5194587" id="id5194587">
<title>When a start Script Fails</title>
</section>
<section href="ch01.html#id5194641" id="id5194641">
<title>When a stop Script Fails</title>
</section>
<section href="ch01.html#id5194758" id="id5194758">
<title>Components</title>
<table href="ch01.html#id5194898" id="id5194898">
<title>Table 1-4. Contents of the /var/cluster/ha directory</title>
</table>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="LE88622-PARENT">
<title>Chapter 2. Configuration Planning</title>
<section href="ch02.html#LE57040-PARENT" id="LE57040-PARENT">
<title>Overview</title>
<section href="ch02.html#id5195505" id="id5195505">
<title>Questions to be Answered</title>
</section>
<section href="ch02.html#id5195765" id="id5195765">
<title>Example</title>
<figure href="ch02.html#Z994430697lhj" id="Z994430697lhj">
<title>Figure 2-1. Example Configuration with Four Resource Groups</title>
</figure>
</section>
</section>
<section href="ch02.html#LE34382-PARENT" id="LE34382-PARENT">
<title>Disk Configuration</title>
<section href="ch02.html#id5196051" id="id5196051">
<title>Planning Disk Configuration</title>
<figure href="ch02.html#id5196437" id="id5196437">
<title>Figure 2-2. Non-Shared Disk Configuration and Failover</title>
</figure>
<figure href="ch02.html#id5196842" id="id5196842">
<title>Figure 2-3. Shared Disk Configuration for Active/Backup Use</title>
</figure>
<figure href="ch02.html#id5197337" id="id5197337">
<title>Figure 2-4. Shared Disk Configuration For Dual-Active Use</title>
</figure>
</section>
<section href="ch02.html#Z994431451lhj" id="Z994431451lhj">
<title>Configuration Parameters for Disks</title>
</section>
</section>
<section href="ch02.html#LE96329-PARENT" id="LE96329-PARENT">
<title>Logical Volume Configuration</title>
<section href="ch02.html#LE91226-PARENT" id="LE91226-PARENT">
<title>Planning XLV Logical Volumes</title>
</section>
<section href="ch02.html#LE10802-PARENT" id="LE10802-PARENT">
<title>Example Logical Volume Configuration</title>
<figure href="ch02.html#Z994779091lhj" id="Z994779091lhj">
<title>Figure 2-5. Example Logical Volume Configuration</title>
</figure>
</section>
<section href="ch02.html#LE13082-PARENT" id="LE13082-PARENT">
<title>Configuration Parameters for Logical Volumes</title>
<table href="ch02.html#id5198136" id="id5198136">
<title>Table 2-1. XLV Logical Volume Configuration Parameters</title>
</table>
</section>
</section>
<section href="ch02.html#LE53947-PARENT" id="LE53947-PARENT">
<title>Filesystem Configuration</title>
<section href="ch02.html#LE24179-PARENT" id="LE24179-PARENT">
<title>Planning Filesystems</title>
</section>
<section href="ch02.html#id5198889" id="id5198889">
<title>Example Filesystem Configuration</title>
<table href="ch02.html#id5199075" id="id5199075">
<title>Table 2-2. Filesystem Configuration Parameters</title>
</table>
<figure href="ch02.html#Z997119736lhj" id="Z997119736lhj">
<title>Figure 2-6. Filesystems and Logical Volumes</title>
</figure>
</section>
</section>
<section href="ch02.html#LE84104-PARENT" id="LE84104-PARENT">
<title>HA IP Address Configuration</title>
<section href="ch02.html#LE93615-PARENT" id="LE93615-PARENT">
<title>Planning Network Interface and HA IP Address Configuration</title>
</section>
<section href="ch02.html#LE15769-PARENT" id="LE15769-PARENT">
<title>Example HA IP Address Configuration</title>
<table href="ch02.html#id5200278" id="id5200278">
<title>Table 2-3. HA IP Address Configuration Parameters</title>
</table>
</section>
<section href="ch02.html#Z994794363lhj" id="Z994794363lhj">
<title>Local Failover of HA IP Addresses</title>
</section>
</section>
<section href="ch02.html#Z962317717steven" id="Z962317717steven">
<title>Coexecution of CXFS and IRIS FailSafe</title>
<section href="ch02.html#id5200654" id="id5200654">
<title>Size of the Coexecution Cluster</title>
</section>
<section href="ch02.html#id5200688" id="id5200688">
<title>Cluster Type</title>
</section>
<section href="ch02.html#id5200785" id="id5200785">
<title>Node Types for CXFS Metadata Servers</title>
</section>
<section href="ch02.html#id5200860" id="id5200860">
<title>CXFS Metadata Servers and Failover Domain</title>
</section>
<section href="ch02.html#id5200883" id="id5200883">
<title>CXFS Resource Type for FailSafe</title>
</section>
<section href="ch02.html#id5201311" id="id5201311">
<title>Separate CXFS and FailSafe GUIs</title>
</section>
<section href="ch02.html#id5201344" id="id5201344">
<title>Conversion Between CXFS and FailSafe</title>
</section>
<section href="ch02.html#id5201450" id="id5201450">
<title>Network Interfaces</title>
</section>
<section href="ch02.html#id5201496" id="id5201496">
<title>Tie-Breaker Node</title>
</section>
<section href="ch02.html#id5201516" id="id5201516">
<title>Communication Paths in a Coexecution Cluster</title>
<figure href="ch02.html#Z984434122lhj" id="Z984434122lhj">
<title>Figure 2-7. Administrative Communication within One Node under Coexecution </title>
</figure>
<figure href="ch02.html#Z991152537lhj" id="Z991152537lhj">
<title>Figure 2-8. Daemon Communication within One Node under Coexecution</title>
</figure>
</section>
</section>
</chapter>
<chapter href="ch03.html" id="LE32854-PARENT">
<title>Chapter 3. Installation and System Preparation</title>
<section href="ch03.html#LE97755-PARENT" id="LE97755-PARENT">
<title>Install Software</title>
</section>
<section href="ch03.html#LE23103-PARENT" id="LE23103-PARENT">
<title>Configure System Files</title>
<section href="ch03.html#Z981999624lhj" id="Z981999624lhj">
<title>Hostname Resolution: /etc/sys_id, /etc/hosts, /etc/nsswitch.conf</title>
</section>
<section href="ch03.html#Z962897518steven" id="Z962897518steven">
<title>/etc/services</title>
</section>
<section href="ch03.html#Z962897546steven" id="Z962897546steven">
<title>/etc/config/cad.options</title>
</section>
<section href="ch03.html#Z962897595steven" id="Z962897595steven">
<title>/etc/config/fs2d.options</title>
<table href="ch03.html#id5203971" id="id5203971">
<title>Table 3-1. fs2d.options File Options</title>
</table>
<section href="ch03.html#id5204848" id="id5204848">
<title>Example 1</title>
</section>
<section href="ch03.html#id5204955" id="id5204955">
<title>Example 2</title>
</section>
</section>
<section href="ch03.html#LE32812-PARENT" id="LE32812-PARENT">
<title>/etc/config/cmond.options</title>
</section>
</section>
<section href="ch03.html#Z962897670steven" id="Z962897670steven">
<title>Set the coreplusid System Parameter</title>
</section>
<section href="ch03.html#LE13651-PARENT" id="LE13651-PARENT">
<title>Set NVRAM Variables</title>
</section>
<section href="ch03.html#LE39637-PARENT" id="LE39637-PARENT">
<title>Create XLV Logical Volumes and XFS Filesystems</title>
</section>
<section href="ch03.html#LE97738-PARENT" id="LE97738-PARENT">
<title>Configure Network Interfaces</title>
<figure href="ch03.html#id5205831" id="id5205831">
<title>Figure 3-1. Example Interface Configuration</title>
</figure>
</section>
<section href="ch03.html#LE90681-PARENT" id="LE90681-PARENT">
<title>Configure the Serial Ports for a Ring Reset</title>
</section>
<section href="ch03.html#Z959290267steven" id="Z959290267steven">
<title>Install Patches</title>
<section href="ch03.html#id5206961" id="id5206961">
<title>Installing FailSafe 2.x and FailSafe patch at the Same Time </title>
</section>
<section href="ch03.html#id5207172" id="id5207172">
<title>Installing a FailSafe Patch on an Existing FailSafe 2.x Cluster</title>
</section>
</section>
<section href="ch03.html#Z967059485lhj" id="Z967059485lhj">
<title>Install Performance Co-Pilot (PCP) Software</title>
<section href="ch03.html#id5207913" id="id5207913">
<title>Installing the Collector Host</title>
<table href="ch03.html#Z966268874jjones" id="Z966268874jjones">
<title>Table 3-2. PCP for FailSafe Collector Subsystems</title>
</table>
</section>
<section href="ch03.html#id5208434" id="id5208434">
<title>Removing Performance Metrics from a Collector Host</title>
</section>
<section href="ch03.html#id5208491" id="id5208491">
<title>Installing the Monitor Host</title>
<table href="ch03.html#Z966271699jjones" id="Z966271699jjones">
<title>Table 3-3. PCP for FailSafe Monitor Subsystems</title>
</table>
</section>
</section>
<section href="ch03.html#Z996856125lhj" id="Z996856125lhj">
<title>Test the System</title>
<section href="ch03.html#id5209008" id="id5209008">
<title>Private Network Interface</title>
</section>
<section href="ch03.html#Z983991335lhj" id="Z983991335lhj">
<title>Serial Reset Connection</title>
</section>
</section>
</chapter>
<chapter href="ch04.html" id="LE73346-PARENT">
<title>Chapter 4. Administration Tools</title>
<section href="ch04.html#LE16720-PARENT" id="LE16720-PARENT">
<title>FailSafe Manager GUI</title>
<section href="ch04.html#LE35303-PARENT" id="LE35303-PARENT">
<title>Starting the GUI</title>
</section>
<section href="ch04.html#Z1000409836lhj" id="Z1000409836lhj" helpid="fs_guioverview">
<title>GUI Overview</title>
<section href="ch04.html#id5210188" id="id5210188">
<title>Viewing the Cluster Components</title>
</section>
<section href="ch04.html#id5210205" id="id5210205">
<title>Viewing Component Details</title>
</section>
<section href="ch04.html#id5210268" id="id5210268">
<title>Performing Tasks</title>
</section>
</section>
<section href="ch04.html#id5210415" id="id5210415">
<title>Screens</title>
<figure href="ch04.html#id5210452" id="id5210452">
<title>Figure 4-1. FailSafe Manager GUI</title>
</figure>
<figure href="ch04.html#id5210467" id="id5210467">
<title>Figure 4-2. GUI Showing Details for a Resource</title>
</figure>
</section>
</section>
<section href="ch04.html#LE15969-PARENT" id="LE15969-PARENT">
<title>cmgr Command</title>
<section href="ch04.html#id5210681" id="id5210681">
<title>Getting Help</title>
</section>
<section href="ch04.html#Z995992117lhj" id="Z995992117lhj">
<title>Using Prompt Mode</title>
</section>
<section href="ch04.html#id5211128" id="id5211128">
<title>Completing Actions and Cancelling</title>
</section>
<section href="ch04.html#id5211176" id="id5211176">
<title>Command Line Editing within cmgr</title>
</section>
<section href="ch04.html#id5211644" id="id5211644">
<title>Long-Running Tasks</title>
</section>
<section href="ch04.html#id5211696" id="id5211696">
<title>Startup Script</title>
</section>
<section href="ch04.html#id5211866" id="id5211866">
<title>Entering Subcommands on the Command Line</title>
</section>
<section href="ch04.html#Z1000305576lhj" id="Z1000305576lhj">
<title>Using Script Files</title>
</section>
<section href="ch04.html#LE10673-PARENT" id="LE10673-PARENT">
<title>Template Scripts</title>
<table href="ch04.html#id5212533" id="id5212533">
<title>Table 4-1. Template Scripts for cmgr</title>
</table>
</section>
<section href="ch04.html#id5212924" id="id5212924">
<title>Invoking a Shell from within cmgr</title>
</section>
</section>
</chapter>
<chapter href="ch05.html" id="LE94219">
<title>Chapter 5. Configuration</title>
<section href="ch05.html#Z983831619lhj" id="Z983831619lhj">
<title>Preliminary Steps</title>
<section href="ch05.html#Z983831598lhj" id="Z983831598lhj">
<title>Verify that the chkconfig Flags are On</title>
</section>
<section href="ch05.html#Z983831606lhj" id="Z983831606lhj">
<title>Start the Cluster Daemons</title>
</section>
<section href="ch05.html#Z984076350lhj" id="Z984076350lhj">
<title>Verify that the Cluster Daemons are Running</title>
</section>
<section href="ch05.html#Z983507725lhj" id="Z983507725lhj">
<title>Determine the Hostname of the Node</title>
</section>
</section>
<section href="ch05.html#LE28499-PARENT" id="LE28499-PARENT">
<title>Name Restrictions</title>
</section>
<section href="ch05.html#Z963855920steven" id="Z963855920steven">
<title>Configuring Timeout Values and Monitoring Intervals</title>
</section>
<section href="ch05.html#LE59477-PARENT" id="LE59477-PARENT">
<title>Setting Configuration Defaults with cmgr</title>
</section>
<section href="ch05.html#Z939319015lhj" id="Z939319015lhj">
<title>Guided Configuration with the GUI</title>
<section href="ch05.html#Z929034927lhj" id="Z929034927lhj" helpid="fs_setupcluster">
<title>Set Up a New Cluster </title>
</section>
<section href="ch05.html#id5214718" id="id5214718" helpid="fs_setupharg">
<title>Set Up a Highly Available Resource Group</title>
</section>
<section href="ch05.html#Z956072055lhj" id="Z956072055lhj" helpid="fs_setupconvertcluster">
<title>Set Up an Existing CXFS Cluster for FailSafe</title>
</section>
<section href="ch05.html#Z996530136lhj" id="Z996530136lhj" helpid="fs_fixnodes">
<title>Fix or Upgrade Cluster Nodes</title>
</section>
<section href="ch05.html#Z996530040lhj" id="Z996530040lhj" helpid="fs_clusterchanges">
<title>Make Changes to Existing Cluster</title>
</section>
<section href="ch05.html#id5215358" id="id5215358" helpid="fs_optimizenode">
<title>Optimize Node Usage</title>
</section>
<section href="ch05.html#id5215491" id="id5215491" helpid="fs_definecustomres">
<title>Define Custom Resource</title>
</section>
<section href="ch05.html#id5215607" id="id5215607" helpid="fs_customfaildetection">
<title>Customize FailSafe Failure Detection</title>
</section>
<section href="ch05.html#id5215683" id="id5215683" helpid="fs_customrgfailover">
<title>Customize Resource Group Failover Behavior</title>
</section>
<section href="ch05.html#id5215896" id="id5215896" helpid="fs_customresfailover">
<title>Customize Resource Failover Behavior</title>
</section>
<section href="ch05.html#id5216110" id="id5216110" helpid="fs_redistribute">
<title>Redistribute Resource Load in Cluster</title>
</section>
</section>
<section href="ch05.html#id5216266" id="id5216266">
<title>Node Tasks</title>
<section href="ch05.html#Z1000152366lhj" id="Z1000152366lhj">
<title>Define a Node</title>
<section href="ch05.html#Z926528003lhj" id="Z926528003lhj" helpid="fs_definemachine">
<title>Define a Node with the GUI</title>
</section>
<section href="ch05.html#LE15937-PARENT" id="LE15937-PARENT">
<title>Define a Node with cmgr</title>
<table href="ch05.html#Z1002311033lhj" id="Z1002311033lhj">
<title>Table 5-1. System Controller Types</title>
</table>
</section>
</section>
<section href="ch05.html#Z1000153537lhj" id="Z1000153537lhj">
<title>Add/Remove Nodes in the Cluster</title>
<section href="ch05.html#Z930156242lhj" id="Z930156242lhj" helpid="fs_addmachtocluster">
<title>Add/Remove Nodes in the Cluster with the GUI</title>
</section>
</section>
<section href="ch05.html#Z1002298721lhj" id="Z1002298721lhj">
<title>Modify a Node Definition</title>
<section href="ch05.html#Z929035056lhj" id="Z929035056lhj" helpid="fs_modifymachine">
<title>Modify a Node Definition with the GUI</title>
</section>
<section href="ch05.html#id5219303" id="id5219303">
<title>Modify a Node with cmgr</title>
<section href="ch05.html#id5219467" id="id5219467">
<title>Example of Partitioning</title>
</section>
</section>
</section>
<section href="ch05.html#Z1002298727lhj" id="Z1002298727lhj">
<title>Convert a CXFS Node to FailSafe</title>
<section href="ch05.html#Z956001048lhj" id="Z956001048lhj" helpid="fs_convertmachine">
<title>Convert a CXFS Node to FailSafe with the GUI</title>
</section>
<section href="ch05.html#id5219972" id="id5219972">
<title>Convert a Node to CXFS or FailSafe with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298734lhj" id="Z1002298734lhj">
<title>Delete a Node</title>
<section href="ch05.html#Z929035081lhj" id="Z929035081lhj" helpid="fs_deletemachine">
<title>Delete a Node with the GUI</title>
</section>
<section href="ch05.html#id5220264" id="id5220264">
<title>Delete a Node with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298742lhj" id="Z1002298742lhj">
<title>Display a Node</title>
<section href="ch05.html#Z929035183lhj" id="Z929035183lhj" helpid="fs_displaymachine">
<title>Display a Node with the GUI</title>
</section>
<section href="ch05.html#id5220726" id="id5220726">
<title>Display a Node with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#id5220968" id="id5220968">
<title>Cluster Tasks</title>
<section href="ch05.html#Z1000153233lhj" id="Z1000153233lhj">
<title>Define a Cluster</title>
<section href="ch05.html#Z928870214lhj" id="Z928870214lhj" helpid="fs_definecluster">
<title>Define a Cluster with the GUI</title>
</section>
<section href="ch05.html#id5221332" id="id5221332">
<title>Define a Cluster with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000154119lhj" id="Z1000154119lhj">
<title>Modify a Cluster Definition</title>
<section href="ch05.html#Z928963743lhj" id="Z928963743lhj" helpid="fs_modifycluster">
<title>Modify a Cluster Definition with the GUI</title>
</section>
<section href="ch05.html#id5222148" id="id5222148">
<title>Modify a Cluster Definition with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298778lhj" id="Z1002298778lhj">
<title>Convert a CXFS Cluster to FailSafe</title>
<section href="ch05.html#Z956071711lhj" id="Z956071711lhj" helpid="fs_convertcluster">
<title>Convert a CXFS Cluster to FailSafe with the GUI</title>
</section>
<section href="ch05.html#id5222476" id="id5222476">
<title>Converting a CXFS Cluster to Failsafe with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298785lhj" id="Z1002298785lhj">
<title>Delete a Cluster</title>
<section href="ch05.html#Z929035302lhj" id="Z929035302lhj" helpid="fs_deletecluster">
<title>Delete a Cluster with the GUI</title>
</section>
<section href="ch05.html#id5222720" id="id5222720">
<title>Delete a Cluster with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298792lhj" id="Z1002298792lhj">
<title>Display a Cluster</title>
<section href="ch05.html#Z929035323lhj" id="Z929035323lhj" helpid="fs_displaycluster">
<title>Display a Cluster with the GUI</title>
</section>
<section href="ch05.html#id5223018" id="id5223018">
<title>Displaying a Cluster with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#LE53159-PARENT" id="LE53159-PARENT">
<title>Resource Type Tasks</title>
<section href="ch05.html#Z1000227023lhj" id="Z1000227023lhj">
<title>Define a Resource Type</title>
<section href="ch05.html#Z963856483steven" id="Z963856483steven" helpid="fs_defineresourcetype">
<title>Define a Resource Type with the GUI</title>
</section>
<section href="ch05.html#id5223930" id="id5223930">
<title>Define a Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298834lhj" id="Z1002298834lhj">
<title>Redefine a Resource Type for a Specific Node</title>
<section href="ch05.html#id5225020" id="id5225020" helpid="fs_definemachspecrestype">
<title>Redefine a Resource Type for a Specific Node with the GUI</title>
</section>
<section href="ch05.html#id5225572" id="id5225572">
<title>Defining a Node-Specific Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000150801lhj" id="Z1000150801lhj">
<title>Add/Remove Dependencies for a Resource Type</title>
<section href="ch05.html#id5225715" id="id5225715" helpid="fs_adddeptorestype">
<title>Add/Remove Dependencies for a Resource Type with the GUI</title>
<figure href="ch05.html#Z994964107lhj" id="Z994964107lhj">
<title>Figure 5-1. Dependencies</title>
</figure>
</section>
<section href="ch05.html#id5225838" id="id5225838">
<title>Add/Remove Dependencies for a Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298849lhj" id="Z1002298849lhj">
<title>Load a Resource Type</title>
<section href="ch05.html#Z964463966steven" id="Z964463966steven" helpid="fs_loadresourcetype">
<title>Load a Resource Type with the GUI</title>
</section>
<section href="ch05.html#id5226117" id="id5226117">
<title>Load a Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000156669lhj" id="Z1000156669lhj">
<title>Modify a Resource Type Definition</title>
<section href="ch05.html#id5226187" id="id5226187" helpid="fs_modifyrestype">
<title>Modify a Resource Type with the GUI</title>
</section>
<section href="ch05.html#id5226661" id="id5226661">
<title>Modify a Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298949lhj" id="Z1002298949lhj">
<title>Delete a Resource Type</title>
<section href="ch05.html#id5227195" id="id5227195" helpid="fs_deleteresourcetype">
<title> Delete a Resource Type with the GUI</title>
</section>
<section href="ch05.html#id5227244" id="id5227244">
<title>Delete a Resource Type with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002298957lhj" id="Z1002298957lhj">
<title>Display a Resource Type</title>
<section href="ch05.html#id5227340" id="id5227340" helpid="fs_displayrestype">
<title>Displaying Resource Types with the GUI</title>
</section>
<section href="ch05.html#id5227359" id="id5227359">
<title>Display Resource Types with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#id5227449" id="id5227449">
<title>Resource Tasks</title>
<section href="ch05.html#Z996689501lhj" id="Z996689501lhj">
<title>Define a New Resource</title>
<section href="ch05.html#LE95071-PARENT" id="LE95071-PARENT" helpid="fs_defineresource">
<title>Define a New Resource with the GUI</title>
<section href="ch05.html#id5227812" id="id5227812">
<title>CXFS Attributes</title>
</section>
<section href="ch05.html#id5227847" id="id5227847">
<title>filesystem Attributes</title>
</section>
<section href="ch05.html#Z962836053steven" id="Z962836053steven">
<title>IP_address Attributes</title>
</section>
<section href="ch05.html#id5228228" id="id5228228">
<title>MAC_address Attributes</title>
</section>
<section href="ch05.html#id5228289" id="id5228289">
<title>volume Attributes</title>
</section>
</section>
<section href="ch05.html#LE42004-PARENT" id="LE42004-PARENT">
<title>Define a New Resource with cmgr</title>
</section>
<section href="ch05.html#LE20812-PARENT" id="LE20812-PARENT">
<title>Specify Resource Attributes with cmgr</title>
<table href="ch05.html#id5229001" id="id5229001">
<title>Table 5-2. Resource Type Attributes</title>
</table>
</section>
</section>
<section href="ch05.html#Z1000149178lhj" id="Z1000149178lhj">
<title>Redefine a Resource for a Specific Node</title>
<section href="ch05.html#Z996245427lhj" id="Z996245427lhj" helpid="fs_definemachspecresource">
<title>Redefine a Resource for a Specific Node with the GUI</title>
</section>
<section href="ch05.html#LE39339-PARENT" id="LE39339-PARENT">
<title>Redefine a Resource for a Specific Node with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000150758lhj" id="Z1000150758lhj">
<title>Add/Remove Dependencies for a Resource Definition</title>
<section href="ch05.html#Z997305397lhj" id="Z997305397lhj" helpid="fs_adddeptoresource">
<title>Add/Remove Dependencies for a Resource Definition with the GUI</title>
<figure href="ch05.html#Z997729713lhj" id="Z997729713lhj">
<title>Figure 5-2. Example of Resource Dependency</title>
</figure>
<figure href="ch05.html#Z997729811lhj" id="Z997729811lhj">
<title>Figure 5-3. Mutual Dependency of Resources Is Not Allowed</title>
</figure>
</section>
<section href="ch05.html#id5230189" id="id5230189">
<title>Add/Remove Dependencies for a Resource Definition with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299048lhj" id="Z1002299048lhj">
<title>Modify a Resource Definition</title>
<section href="ch05.html#id5230327" id="id5230327" helpid="fs_modifyresource">
<title>Modify a Resource Definition with the GUI</title>
</section>
<section href="ch05.html#id5230429" id="id5230429">
<title>Modify a Resource Definition with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299057lhj" id="Z1002299057lhj">
<title>Delete a Resource</title>
<section href="ch05.html#id5230598" id="id5230598" helpid="fs_deleteresource">
<title>Delete a Resource with the GUI</title>
</section>
<section href="ch05.html#id5230684" id="id5230684">
<title>Delete a Resource with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299064lhj" id="Z1002299064lhj">
<title>Display a Resource</title>
<section href="ch05.html#id5230824" id="id5230824" helpid="fs_displayresource">
<title>Display a Resource with the GUI</title>
</section>
<section href="ch05.html#id5230922" id="id5230922">
<title>Display a Resource with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#id5231024" id="id5231024">
<title>Failover Policy Tasks</title>
<section href="ch05.html#Z997459156lhj" id="Z997459156lhj">
<title>Define a Failover Policy</title>
<section href="ch05.html#LE75286-PARENT" id="LE75286-PARENT" helpid="fs_definefailover">
<title>Define a Failover Policy with the GUI</title>
<table href="ch05.html#Z1000418870lhj" id="Z1000418870lhj">
<title>Table 5-3. Failover Attributes</title>
</table>
</section>
<section href="ch05.html#Z996691227lhj" id="Z996691227lhj">
<title>Define a Failover Policy with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000224972lhj" id="Z1000224972lhj">
<title>Modify a Failover Policy Definition</title>
<section href="ch05.html#Z1000148951lhj" id="Z1000148951lhj" helpid="fs_modifyfailoverpolicy">
<title>Modify a Failover Policy Definition with the GUI</title>
</section>
<section href="ch05.html#id5233302" id="id5233302">
<title>Modify a Failover Policy Definition with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299442lhj" id="Z1002299442lhj">
<title>Delete a Failover Policy</title>
<section href="ch05.html#id5233400" id="id5233400" helpid="fs_delfailoverpolicy">
<title>Delete a Failover Policy with the GUI</title>
</section>
<section href="ch05.html#id5233447" id="id5233447">
<title>Delete a Failover Policy with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299449lhj" id="Z1002299449lhj">
<title>Display a Failover Policy</title>
<section href="ch05.html#id5233559" id="id5233559" helpid="fs_displayfp">
<title>Display a Failover Policy with the GUI</title>
</section>
<section href="ch05.html#id5233618" id="id5233618">
<title>Display a Failover Policy with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#id5233712" id="id5233712">
<title>Resource Group Tasks</title>
<section href="ch05.html#Z1000152011lhj" id="Z1000152011lhj">
<title>Define a Resource Group</title>
<section href="ch05.html#LE25366-PARENT" id="LE25366-PARENT" helpid="fs_defineresgroup">
<title>Define a Resource Group with the GUI</title>
</section>
<section href="ch05.html#Z996691723lhj" id="Z996691723lhj">
<title>Defining a Resource Group with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1000229009lhj" id="Z1000229009lhj">
<title>Modify a Resource Group Definition</title>
<section href="ch05.html#id5234241" id="id5234241" helpid="fs_modifyresgroup">
<title>Modify a Resource Group Definition with the GUI</title>
</section>
<section href="ch05.html#id5234295" id="id5234295">
<title>Modify a Resource Group Definition with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299499lhj" id="Z1002299499lhj">
<title>Delete a Resource Group</title>
<section href="ch05.html#id5234473" id="id5234473" helpid="fs_deleteresgroup">
<title>Delete a Resource Group with the GUI</title>
</section>
<section href="ch05.html#id5234517" id="id5234517">
<title>Delete a Resource Group with cmgr</title>
</section>
</section>
<section href="ch05.html#Z998430464lhj" id="Z998430464lhj" helpid="fs_addresourcestoresgroup">
<title>Add/Remove Resources in Resource Group</title>
</section>
<section href="ch05.html#Z1000225605lhj" id="Z1000225605lhj">
<title>Move a Resource Group</title>
<section href="ch05.html#id5234900" id="id5234900" helpid="fs_moverg">
<title>Move a Resource Group with the GUI</title>
</section>
<section href="ch05.html#id5234961" id="id5234961">
<title>Move a Resource Group with cmgr</title>
</section>
</section>
<section href="ch05.html#Z1002299522lhj" id="Z1002299522lhj">
<title>Display a Resource Group</title>
<section href="ch05.html#id5235138" id="id5235138">
<title>Display a Resource Group with the GUI</title>
</section>
<section href="ch05.html#id5235152" id="id5235152">
<title>Display a Resource Group with cmgr</title>
</section>
</section>
</section>
<section href="ch05.html#id5235289" id="id5235289">
<title>FailSafe HA Services Tasks</title>
<section href="ch05.html#Z1000306585lhj" id="Z1000306585lhj">
<title>Start FailSafe HA Services</title>
<section href="ch05.html#Z996007749lhj" id="Z996007749lhj" helpid="fs_activatehaservices">
<title>Start FailSafe HA Services with the GUI</title>
</section>
<section href="ch05.html#id5235653" id="id5235653">
<title>Start HA Services with cmgr</title>
</section>
</section>
<section href="ch05.html#Z996684814lhj" id="Z996684814lhj">
<title>Stop FailSafe HA Services</title>
<section href="ch05.html#Z996009918lhj" id="Z996009918lhj" helpid="fs_deactivatehaservices">
<title>Stop FailSafe HA Services with the GUI</title>
<section href="ch05.html#id5235990" id="id5235990">
<title>Stopping HA Services on One Node</title>
</section>
<section href="ch05.html#id5236149" id="id5236149">
<title>Stopping HA Services on All Nodes in a Cluster</title>
</section>
</section>
<section href="ch05.html#id5236229" id="id5236229">
<title>Stop FailSafe HA Services with cmgr</title>
</section>
</section>
<section href="ch05.html#Z997120054lhj" id="Z997120054lhj">
<title>Set FailSafe HA Parameters</title>
<section href="ch05.html#id5236360" id="id5236360" helpid="fs_setfsparameters">
<title>Set FailSafe HA Parameters with the GUI</title>
</section>
<section href="ch05.html#id5236584" id="id5236584">
<title>Set FailSafe HA Parameters with cmgr</title>
</section>
</section>
<section href="ch05.html#LE22037-PARENT" id="LE22037-PARENT">
<title>Set Log Configuration</title>
<section href="ch05.html#Z996692181lhj" id="Z996692181lhj" helpid="fs_setlogparams">
<title>Set Log Configuration with the GUI</title>
<section href="ch05.html#Z1000660794lhj" id="Z1000660794lhj">
<title>Default Log File Names</title>
<table href="ch05.html#id5237273" id="id5237273">
<title>Table 5-4. Log Levels</title>
</table>
<table href="ch05.html#Z1002050906lhj" id="Z1002050906lhj">
<title>Table 5-5. Default Log File Names</title>
</table>
</section>
<section href="ch05.html#id5238171" id="id5238171">
<title>Display Log Group Definitions with the GUI</title>
</section>
</section>
<section href="ch05.html#Z996692236lhj" id="Z996692236lhj">
<title>Define Log Groups with cmgr</title>
</section>
<section href="ch05.html#id5238392" id="id5238392">
<title>Configure Log Groups with cmgr</title>
</section>
<section href="ch05.html#id5238637" id="id5238637">
<title>Modify Log Groups with cmgr</title>
</section>
<section href="ch05.html#id5238801" id="id5238801">
<title>Display Log Group Definitions</title>
<section href="ch05.html#id5238812" id="id5238812">
<title>Display Log Group Definitions with cmgr</title>
</section>
</section>
</section>
</section>
</chapter>
<chapter href="ch06.html" id="Z962909642steven">
<title>Chapter 6. Configuration Examples</title>
<section href="ch06.html#Z962837393steven" id="Z962837393steven">
<title>Example: Define a Three-Node Cluster</title>
<figure href="ch06.html#Z962402439steven" id="Z962402439steven">
<title>Figure 6-1. FailSafe Configuration Example</title>
</figure>
</section>
<section href="ch06.html#Z962837405steven" id="Z962837405steven">
<title>Example: Script to Define a Three-Node Cluster</title>
<table href="ch06.html#id5239177" id="id5239177">
<title>Table 6-1. Resources and Failover Policies for RG1 and RG2</title>
</table>
</section>
<section href="ch06.html#Z962574376steven" id="Z962574376steven">
<title>Example: Local Failover of HA IP Address</title>
</section>
<section href="ch06.html#Z962837423steven" id="Z962837423steven">
<title>Example: Modify a Cluster to Include a CXFS Filesystem</title>
</section>
<section href="ch06.html#Z971882888steven" id="Z971882888steven">
<title>Example: Export CXFS Filesystems</title>
</section>
<section href="ch06.html#LE40511-PARENT" id="LE40511-PARENT">
<title>Example: Create a Resource Group</title>
</section>
</chapter>
<chapter href="ch07.html" id="LE99367-PARENT">
<title>Chapter 7. IRIS FailSafe System Operation</title>
<section href="ch07.html#LE36400-PARENT" id="LE36400-PARENT">
<title>System Operation Considerations</title>
</section>
<section href="ch07.html#Z994454761lhj" id="Z994454761lhj">
<title>Two-Node Clusters: Single-Node Use</title>
<section href="ch07.html#id5241825" id="id5241825">
<title>Using a Single Node</title>
</section>
<section href="ch07.html#id5242473" id="id5242473">
<title>Resuming Two-Node Use</title>
</section>
</section>
<section href="ch07.html#LE16877-PARENT" id="LE16877-PARENT">
<title>System Status</title>
<section href="ch07.html#id5243099" id="id5243099">
<title>Monitoring System Status with cluster_status</title>
</section>
<section href="ch07.html#id5243276" id="id5243276" helpid="fs_status">
<title>Monitoring System Status with the GUI</title>
</section>
<section href="ch07.html#id5243466" id="id5243466" helpid="fs_colors">
<title>Key to Icons and Colors</title>
<table href="ch07.html#id5243501" id="id5243501">
<title>Table 7-1. Key to Icons</title>
</table>
<table href="ch07.html#id5243825" id="id5243825">
<title>Table 7-2. Key to Colors</title>
</table>
</section>
<section href="ch07.html#id5244204" id="id5244204">
<title>Querying Cluster Status with cmgr</title>
</section>
<section href="ch07.html#id5244226" id="id5244226">
<title>Monitoring Resource and Reset Serial Line with cmgr</title>
<section href="ch07.html#id5244265" id="id5244265">
<title>Querying Resource Status with cmgr</title>
</section>
<section href="ch07.html#id5244335" id="id5244335">
<title>Performing a ping of a System Controller with cmgr</title>
</section>
</section>
<section href="ch07.html#LE29367-PARENT" id="LE29367-PARENT">
<title>Resource Group Status</title>
<section href="ch07.html#id5244514" id="id5244514">
<title>Resource Group State</title>
</section>
<section href="ch07.html#id5244849" id="id5244849">
<title>Resource Group Error State</title>
</section>
<section href="ch07.html#id5245154" id="id5245154">
<title>Resource Owner</title>
</section>
<section href="ch07.html#id5245177" id="id5245177">
<title>Monitoring Resource Group Status with GUI</title>
</section>
<section href="ch07.html#id5245216" id="id5245216">
<title>Querying Resource Group Status with cmgr</title>
</section>
</section>
<section href="ch07.html#id5245254" id="id5245254">
<title>Node Status</title>
<section href="ch07.html#Z985822035jjones" id="Z985822035jjones">
<title>Monitoring Node Status with cluster_status</title>
</section>
<section href="ch07.html#id5245506" id="id5245506">
<title>Monitoring Cluster Status with the GUI</title>
</section>
<section href="ch07.html#id5245525" id="id5245525">
<title>Querying Node Status with cmgr</title>
</section>
<section href="ch07.html#id5245546" id="id5245546">
<title>Performing a ping the System Controller with cmgr</title>
</section>
</section>
<section href="ch07.html#LE28488-PARENT" id="LE28488-PARENT">
<title>Viewing System Status with the haStatus Script</title>
</section>
</section>
<section href="ch07.html#Z997809950lhj" id="Z997809950lhj">
<title>Embedded Support Partner (ESP) Logging of FailSafe Events</title>
</section>
<section href="ch07.html#LE41282-PARENT" id="LE41282-PARENT">
<title>Resource Group Failover</title>
<section href="ch07.html#Z1000239369lhj" id="Z1000239369lhj">
<title>Bring a Resource Group Online</title>
<section href="ch07.html#id5246882" id="id5246882" helpid="fs_bringresgrouponline">
<title>Bring a Resource Group Online with the GUI</title>
</section>
<section href="ch07.html#id5247060" id="id5247060">
<title>Bring a Resource Group Online with cmgr</title>
</section>
</section>
<section href="ch07.html#LE38542-PARENT" id="LE38542-PARENT">
<title>Take a Resource Group Offline</title>
<section href="ch07.html#id5247198" id="id5247198" helpid="fs_takeresgroupoffline">
<title>Take a Resource Group Offline with the GUI</title>
</section>
<section href="ch07.html#id5247472" id="id5247472">
<title>Take a Resource Group Offline with cmgr</title>
</section>
</section>
<section href="ch07.html#id5247559" id="id5247559">
<title>Move a Resource Group</title>
<section href="ch07.html#id5247572" id="id5247572" helpid="fs_moveresgroup">
<title>Move a Resource Group with the GUI</title>
</section>
<section href="ch07.html#id5247672" id="id5247672">
<title>Move a Resource Group with cmgr</title>
</section>
</section>
<section href="ch07.html#LE42295-PARENT" id="LE42295-PARENT">
<title>Suspend and Resume Monitoring of a Resource Group</title>
<section href="ch07.html#id5247726" id="id5247726" helpid="fs_stopmonitoringresgroup">
<title>Suspend Monitoring a Resource Group with the GUI</title>
</section>
<section href="ch07.html#id5247944" id="id5247944" helpid="fs_resumemonitoringresgroup">
<title>Resume Monitoring of a Resource Group with the GUI</title>
</section>
<section href="ch07.html#id5247995" id="id5247995">
<title>Putting a Resource Group into Maintenance Mode with cmgr</title>
</section>
<section href="ch07.html#id5248028" id="id5248028">
<title>Resume Monitoring of a Resource Group with cmgr</title>
</section>
</section>
</section>
<section href="ch07.html#Z957117933glen" id="Z957117933glen">
<title>Stopping FailSafe</title>
</section>
<section href="ch07.html#LE41636-PARENT" id="LE41636-PARENT">
<title>Resetting Nodes</title>
<section href="ch07.html#Z929035385lhj" id="Z929035385lhj" helpid="fs_resetmachine">
<title>Reset a Node with the GUI </title>
</section>
<section href="ch07.html#id5248271" id="id5248271">
<title>Reset a Node with cmgr</title>
</section>
</section>
<section href="ch07.html#LE37674-PARENT" id="LE37674-PARENT">
<title>Backing Up and Restoring Configuration With cmgr</title>
</section>
<section href="ch07.html#Z985276279jjones" id="Z985276279jjones">
<title>Log File Management</title>
<section href="ch07.html#id5248673" id="id5248673">
<title>Rotating All Log Files </title>
</section>
</section>
</chapter>
<chapter href="ch08.html" id="LE56830-PARENT">
<title>Chapter 8. Testing the Configuration</title>
<section href="ch08.html#LE67057-PARENT" id="LE67057-PARENT">
<title>Overview of FailSafe Diagnostic Commands</title>
<table href="ch08.html#id5248983" id="id5248983">
<title>Table 8-1. FailSafe Diagnostic Test Summary</title>
</table>
</section>
<section href="ch08.html#LE42786-PARENT" id="LE42786-PARENT">
<title>Performing Diagnostic Tasks with the GUI</title>
<section href="ch08.html#Z929035443lhj" id="Z929035443lhj" helpid="fs_testconnectivity">
<title>Test Connectivity with the GUI</title>
</section>
<section href="ch08.html#Z1000239085lhj" id="Z1000239085lhj" helpid="fs_testresources">
<title>Test Resources with the GUI</title>
</section>
<section href="ch08.html#Z1000239125lhj" id="Z1000239125lhj" helpid="fs_testfailoverpol">
<title>Test Failover Policies with the GUI</title>
</section>
</section>
<section href="ch08.html#LE37273-PARENT" id="LE37273-PARENT">
<title>Performing Diagnostic Tasks with cmgr</title>
<section href="ch08.html#id5249629" id="id5249629">
<title>Test the Serial Connections with cmgr</title>
</section>
<section href="ch08.html#LE11186-PARENT" id="LE11186-PARENT">
<title>Test Network Connectivity with cmgr</title>
</section>
<section href="ch08.html#LE28447-PARENT" id="LE28447-PARENT">
<title>Test Resources with cmgr</title>
<section href="ch08.html#id5250331" id="id5250331">
<title>Test Logical Volumes with cmgr</title>
</section>
<section href="ch08.html#id5250527" id="id5250527">
<title>Test Filesystems with cmgr</title>
</section>
<section href="ch08.html#LE62758-PARENT" id="LE62758-PARENT">
<title>Test Resource Groups  with cmgr</title>
</section>
</section>
<section href="ch08.html#LE29671-PARENT" id="LE29671-PARENT">
<title>Test Failover Policies with cmgr</title>
</section>
</section>
</chapter>
<chapter href="ch09.html" id="LE28716-PARENT">
<title>Chapter 9. System Recovery</title>
<section href="ch09.html#LE14340-PARENT" id="LE14340-PARENT">
<title>Overview of System Recovery</title>
</section>
<section href="ch09.html#LE28847-PARENT" id="LE28847-PARENT">
<title>FailSafe Log Files</title>
<table href="ch09.html#id5251364" id="id5251364">
<title>Table 9-1. Message Levels</title>
</table>
</section>
<section href="ch09.html#LE17012-PARENT" id="LE17012-PARENT">
<title>FailSafe Membership and Resets</title>
<section href="ch09.html#id5251883" id="id5251883">
<title>FailSafe Membership and Tie-Breaker Node</title>
</section>
<section href="ch09.html#id5252060" id="id5252060">
<title>No Membership Formed</title>
</section>
</section>
<section href="ch09.html#LE13884-PARENT" id="LE13884-PARENT">
<title>Status Monitoring</title>
</section>
<section href="ch09.html#LE35544-PARENT" id="LE35544-PARENT">
<title>Dynamic Control of FailSafe Services</title>
</section>
<section href="ch09.html#LE26593-PARENT" id="LE26593-PARENT">
<title>Recovery Procedures</title>
<section href="ch09.html#Z994454104lhj" id="Z994454104lhj">
<title>Single-Node Recovery</title>
</section>
<section href="ch09.html#LE37488-PARENT" id="LE37488-PARENT">
<title>Cluster Error Recovery</title>
</section>
<section href="ch09.html#Z997219709lhj" id="Z997219709lhj">
<title>Resource Group Recovery</title>
</section>
<section href="ch09.html#LE22743-PARENT" id="LE22743-PARENT">
<title>Node Error Recovery</title>
</section>
<section href="ch09.html#LE13349-PARENT" id="LE13349-PARENT">
<title>Resource Group Maintenance and Error Recovery</title>
</section>
<section href="ch09.html#LE15209-PARENT" id="LE15209-PARENT" helpid="fs_recresource">
<title>Clear Resource Error State</title>
</section>
<section href="ch09.html#LE32749-PARENT" id="LE32749-PARENT">
<title>Control Network Failure Recovery</title>
</section>
<section href="ch09.html#LE33694-PARENT" id="LE33694-PARENT">
<title>Serial Cable Failure Recovery</title>
</section>
<section href="ch09.html#Z962823864steven" id="Z962823864steven">
<title>Cluster Database Sync Failure</title>
</section>
<section href="ch09.html#LE32026-PARENT" id="LE32026-PARENT">
<title>Cluster Database Maintenance and Recovery</title>
</section>
<section href="ch09.html#LE19553-PARENT" id="LE19553-PARENT">
<title>GUI and cmgr Inconsistencies</title>
</section>
<section href="ch09.html#Z962821775steven" id="Z962821775steven">
<title>GUI Does Not Report Information</title>
</section>
<section href="ch09.html#Z1002125815lhj" id="Z1002125815lhj">
<title>Using the cdbreinit Command</title>
</section>
</section>
</chapter>
<chapter href="ch10.html" id="LE55630-PARENT">
<title>Chapter 10. Upgrading and Maintaining Active Clusters</title>
<section href="ch10.html#LE40594-PARENT" id="LE40594-PARENT">
<title>Add a Node to an Active Cluster</title>
</section>
<section href="ch10.html#LE15663-PARENT" id="LE15663-PARENT">
<title>Delete a Node from an Active Cluster</title>
</section>
<section href="ch10.html#Z962649820steven" id="Z962649820steven">
<title>Change Control Networks in a Cluster</title>
</section>
<section href="ch10.html#LE26765-PARENT" id="LE26765-PARENT">
<title>Upgrade OS Software in an Active Cluster</title>
</section>
<section href="ch10.html#LE31814-PARENT" id="LE31814-PARENT">
<title>Upgrade FailSafe Software in an Active Cluster</title>
</section>
<section href="ch10.html#LE18685-PARENT" id="LE18685-PARENT">
<title>Add New Resource Groups or Resources in an Active Cluster</title>
</section>
<section href="ch10.html#LE32198-PARENT" id="LE32198-PARENT">
<title>Adding a New Hardware Device in an Active Cluster</title>
</section>
</chapter>
<chapter href="ch11.html" id="Z967128331lhj">
<title>Chapter 11. Performance Co-Pilot for FailSafe</title>
<section href="ch11.html#id5257024" id="id5257024">
<title>Using the Visualization Tools</title>
<figure href="ch11.html#Z966278280jjones" id="Z966278280jjones">
<title>Figure 11-1. Heartbeat Response Statistics</title>
</figure>
<figure href="ch11.html#Z966278105jjones" id="Z966278105jjones">
<title>Figure 11-2. Resource Monitoring Statistics</title>
</figure>
</section>
<section href="ch11.html#id5257628" id="id5257628">
<title>PCP for FailSafe Performance Metrics</title>
</section>
<section href="ch11.html#id5257689" id="id5257689">
<title>Troubleshooting</title>
</section>
</chapter>
<appendix href="apa.html" id="LE19274-PARENT">
<title>Appendix A. Updating from IRIS FailSafe 1.2 to IRIS FailSafe 2.1.x</title>
<section href="apa.html#LE40301-PARENT" id="LE40301-PARENT">
<title>Hardware Changes</title>
</section>
<section href="apa.html#LE20365-PARENT" id="LE20365-PARENT">
<title>Software Changes</title>
</section>
<section href="apa.html#LE30872-PARENT" id="LE30872-PARENT">
<title>Configuration Changes</title>
</section>
<section href="apa.html#LE17290-PARENT" id="LE17290-PARENT">
<title>Scripts</title>
</section>
<section href="apa.html#LE31512-PARENT" id="LE31512-PARENT">
<title>Operational Comparison</title>
<table href="apa.html#Z985984234jjones" id="Z985984234jjones">
<title>Table A-1. Differences Between IRIS FailSafe 1.2 and 2.1.x</title>
</table>
</section>
<section href="apa.html#LE14806-PARENT" id="LE14806-PARENT">
<title>Upgrade Examples</title>
<section href="apa.html#id5259673" id="id5259673">
<title>Defining a Node</title>
</section>
<section href="apa.html#id5260005" id="id5260005">
<title>Defining a Cluster</title>
</section>
<section href="apa.html#Z962982538steven" id="Z962982538steven">
<title>Setting HA Parameters</title>
</section>
<section href="apa.html#id5260427" id="id5260427">
<title>Defining a Resource: XLV Volume</title>
</section>
<section href="apa.html#id5260594" id="id5260594">
<title>Defining a Resource: XFS Filesystem</title>
</section>
<section href="apa.html#id5260779" id="id5260779">
<title>Defining a Resource: IP Address</title>
</section>
</section>
<section href="apa.html#LE17717-PARENT" id="LE17717-PARENT">
<title>Additional FailSafe 2.1.x Tasks</title>
</section>
<section href="apa.html#LE27976-PARENT" id="LE27976-PARENT">
<title>Status</title>
</section>
</appendix>
<appendix href="apb.html" id="LE40392-PARENT">
<title>Appendix B. IRIS FailSafe 2.1.x Software</title>
<section href="apb.html#LE17952-PARENT" id="LE17952-PARENT">
<title>Subsystems on the CD</title>
<table href="apb.html#Z957120633glen" id="Z957120633glen">
<title>Table B-1. IRIS FailSafe 2.1.x CD </title>
</table>
</section>
<section href="apb.html#LE14968-PARENT" id="LE14968-PARENT">
<title>Subsystems for Servers and Workstations in the Pool</title>
<table href="apb.html#Z963075041steven" id="Z963075041steven">
<title>Table B-2. Subsystems Required for Nodes in the Pool (Servers and GUI Client(s))</title>
</table>
</section>
<section href="apb.html#LE33316-PARENT" id="LE33316-PARENT">
<title>Additional Subsystems for Nodes in the FailSafe Cluster</title>
<table href="apb.html#Z963075063steven" id="Z963075063steven">
<title>Table B-3. Additional Subsystems Required for Nodes in the Cluster </title>
</table>
</section>
<section href="apb.html#LE88427-PARENT" id="LE88427-PARENT">
<title>Additional Subsystems for Administrative Workstations </title>
<section href="apb.html#LE37633-PARENT" id="LE37633-PARENT">
<title>Subsystems for IRIX Administrative Workstations</title>
<table href="apb.html#Z957121021glen" id="Z957121021glen">
<title>Table B-4. Subsystems Required for IRIX Administrative Workstations</title>
</table>
</section>
<section href="apb.html#LE86595-PARENT" id="LE86595-PARENT">
<title>Subsystems for Non-IRIX Administrative Workstations</title>
</section>
</section>
</appendix>
<appendix href="apc.html" id="Z967069341lhj">
<title>Appendix C. Metrics Exported by PCP for FailSafe</title>
<table href="apc.html#Z966272480jjones" id="Z966272480jjones">
<title>Table C-1. PCP Metrics</title>
</table>
</appendix>
<glossary href="go01.html" id="id5265553">
<title>Glossary</title>
</glossary>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
